<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
  <title>Chỉnh sửa thông tin lớp học</title>
  <link
      href="https://res.cloudinary.com/dralhpdiv/image/upload/v1646628563/favicon.png"
      rel="shortcut icon"
      type="image/png"/>

  <meta charset="UTF-8">
  <meta content="width=device-width, initial-scale=1.0" name="viewport">
  <link crossorigin="anonymous"
        href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta3/dist/css/bootstrap.min.css"
        integrity="sha384-eOJMYsd53ii+scO/bJGFsiCZc+5NDVN2yr8+0RDqr0Ql0h+rP48ckxlpbzKgwra6"
        rel="stylesheet">
  <script crossorigin="anonymous"
          integrity="sha384-JEW9xMcG8R+pH31jmWH6WWP0WintQrMb4s7ZOdauHnUtxwoG2vI5DkLtS3qm9Ekf"
          src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta3/dist/js/bootstrap.bundle.min.js"></script>
  <link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css"
        rel="stylesheet"/>
  <link href="/static/AdminClassUpdate.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div class="d-flex" id="container">
  <div class="d-flex flex-column p-3 text-white bg-dark" id="sidebarMenuLeft">
    <a class="d-flex mb-3 mb-md-0 me-md-auto text-white text-decoration-none"
       href="/collaborator/home-statistic"
       style="margin: 0 auto">
      <img
          alt=""
          src="https://res.cloudinary.com/dralhpdiv/image/upload/v1646629370/logo_ACT.png"
          style="height: 5rem; object-fit: contain"/>
    </a>
    <hr>
    <ul class="nav nav-pills flex-column mb-auto">
      <li class="nav-item">
        <a class="nav-link text-white" href="/collaborator/home-statistic">
          <i aria-hidden="true" class="fa fa-home"></i> &nbsp Trang chủ
        </a>
      </li>
      <li class="nav-item">
        <a class="nav-link text-white" href="/manager/admin-info">
          <i aria-hidden="true" class="fa fa-info-circle"></i> &nbsp Thông tin quản lý
        </a>
      </li>
      <li class="nav-item">
        <a class="nav-link text-white" href="/manager/media-component">
          <i aria-hidden="true" class="fa fa-video-camera"></i> &nbsp Cài đặt media
        </a>
      </li>
      <li>
        <a class="nav-link text-white" href="/manager/collaborator-management/page/1">
          <i aria-hidden="true" class="fa fa-user-circle-o"></i> &nbsp Quản lý cộng tác viên
        </a>
      </li>
      <li>
        <a class="nav-link text-white" href="/collaborator/user-management/page/1">
          <i aria-hidden="true" class="fa fa-user"></i> &nbsp&nbsp Quản lý học viên
        </a>
      </li>
      <li>
        <a class="nav-link text-white" href="/manager/course-management/page/1">
          <i aria-hidden="true" class="fa fa-book"></i> &nbsp Quản lý khóa học
        </a>
      </li>
      <li>
        <a class="nav-link text-white" href="/collaborator/class-management/page/1">
          <i aria-hidden="true" class="fa fa-users"></i> &nbsp Quản lý lớp học
        </a>
      </li>
      <li>
        <a class="nav-link text-white" href="/collaborator/news-management/page/1">
          <i aria-hidden="true" class="fa fa-newspaper-o"></i> &nbsp Quản lý tin tức
        </a>
      </li>
      <li>
        <a class="nav-link text-white" href="/manager/job-management/page/1">
          <i aria-hidden="true" class="fa fa-briefcase"></i> &nbsp Quản lý tuyển dụng
        </a>
      </li>
      <li>
        <a class="nav-link text-white" href="/">
          <i aria-hidden="true" class="fa fa-arrow-circle-o-left"></i> &nbsp Quay về trang web
        </a>
      </li>
      <li>
        <a class="nav-link text-white" href="/logout">
          <i aria-hidden="true" class="fa fa-sign-out"></i> &nbsp Đăng xuất
        </a>
      </li>
    </ul>
    <hr>
  </div>

  <div class="flex-md-fill" id="content">
    <div class="d-flex justify-content-sm-between align-items-center" id="userInfo">
      <div class="d-flex justify-content-center align-items-center">
        <h5 style="margin: 0">Xin chào</h5> &nbsp;&nbsp; <img alt="" id="userImg"
                                                              th:src="${admin.img}"/>
        &nbsp;&nbsp; <h5 style="margin: 0" th:text="${admin.name} + ' - ' + ${admin.role}"></h5>
      </div>
      <h5 class="clock" id="MyClockDisplay" onload="showTime()" style="margin: 0"></h5>
    </div>
    <form enctype="multipart/form-data" id="inputClass" method="post"
          th:action="@{/manager/update-class/{id} (id = ${classId})}"
          th:object="${class}">
      <div style="margin-bottom: 18px">
        <h5 id="titleClass">Chỉnh sửa thông tin lớp học</h5>
      </div>
      <div id="generalInformation">
        <hr>
        <div class="row" style="font-size: 18px; padding: 10px 20px 0;">
          <div class="col-md-7">
            <div class="mb-3 row">
              <label class="col-sm-4 col-form-label" for="classFullName" style="font-weight: bold">Tên
                đầy đủ </label>
              <div class="col-sm-7">
                <input class="form-control" id="classFullName" th:field="*{fullName}" type="text">
              </div>
            </div>
            <div class="mb-3 row">
              <label class="col-sm-4 col-form-label" for="className" style="font-weight: bold">Tên
                rút gọn</label>
              <div class="col-sm-7">
                <input class="form-control" id="className" th:field="*{name}" type="text">
              </div>
            </div>
            <div class="mb-3 row">
              <label class="col-sm-4 col-form-label" for="classHowToLearn"
                     style="font-weight: bold">Hình
                thức học</label>
              <div class="col-sm-2">
                <select class="form-control" id="classHowToLearn" name="classHowToLearn"
                        th:field="*{howToLearn}">
                  <option th:value="Online">Online</option>
                  <option th:value="Offline">Offline</option>
                </select>
              </div>
            </div>
            <div class="mb-3 row">
              <label class="col-sm-4 col-form-label" for="classDateOpening"
                     style="font-weight: bold">Ngày
                khai giảng</label>
              <div class="col-sm-7">
                <input class="form-control" id="classDateOpening" th:field="*{dateOpening}"
                       type="date">
              </div>
            </div>
            <div class="mb-3 row">
              <label class="col-sm-4 col-form-label" for="classTeacherName"
                     style="font-weight: bold">Tên giảng viên</label>
              <div class="col-sm-7">
                <input class="form-control" id="classTeacherName" th:field="*{teacherName}"
                       type="text">
              </div>
            </div>
            <div class="mb-3 row">
              <label class="col-sm-4 col-form-label" for="classManager" style="font-weight: bold">Quản
                lý lớp</label>
              <div class="col-sm-7">
                <select class="form-control"
                        id="classManager"
                        th:field="*{managerId}">
                  <option th:each="i : ${listCollaborator}" th:text="${i.name}"
                          th:value="${i.id}"></option>
                </select>
              </div>
            </div>
            <div class="mb-3 row">
              <label class="col-sm-4 col-form-label" for="classManager" style="font-weight: bold">Trợ
                giảng</label>
              <div class="col-sm-7">
                <select class="form-control"
                        id="classManager"
                        th:field="*{supporterId}">
                  <option th:each="i : ${listCollaborator}" th:text="${i.name}"
                          th:value="${i.id}"></option>
                </select>
              </div>
            </div>
            <div class="mb-3 row">
              <label class="col-sm-4 col-form-label" for="classManager" style="font-weight: bold">Khóa
                học</label>
              <div class="col-sm-7">
                <select class="form-control"
                        id="classManager"
                        th:field="*{courseId}">
                  <option th:each="i : ${listCourse}" th:text="${i.name}"
                          th:value="${i.id}"></option>
                </select>
              </div>
            </div>
            <div class="mb-3 row" th:if="${class.state != 'PREP'}">
              <label class="col-sm-4 col-form-label" for="classManager" style="font-weight: bold">
                Trạng thái
              </label>
              <div class="col-sm-7">
                <select class="form-control"
                        id="classManager"
                        th:field="*{state}">
                  <option th:selected="*{state == 'Sắp khai giảng'}" th:value="WAIT">
                    Sắp khai giảng
                  </option>
                  <option th:selected="*{state == 'Đang diễn ra'}" th:value="DOING">
                    Đang diễn ra
                  </option>
                  <option th:selected="*{state == 'Đã kết thúc'}" th:value="FINISHED">
                    Đã kết thúc
                  </option>
                </select>
              </div>
            </div>
          </div>
          <div class="col-md-5">
            <label class="mb-3 row" for="classSpecial" style="font-weight: bold">
              Ưu đãi (có thể bỏ trống)
            </label>
            <textarea class="mb-3 row" id="classSpecial" style="height: 88%"
                      th:field="*{special}"></textarea>
          </div>
        </div>
      </div>
      <div style="margin-top: 1rem; display: flex">
        <button class="btn btn-primary" onclick="submitForm()"
                style="margin: auto; padding: 10px 30px; font-size: 18px" type="submit">Xác nhận
        </button>
        <button class="btn btn-primary" style="margin: auto; padding: 10px 30px; font-size: 18px"
                type="reset">Nhập lại
        </button>
      </div>
    </form>
    <div id="footer">
      Copyright © ACTACAD 2021. All Rights Reserved
    </div>
  </div>
</div>
<script crossorigin="anonymous"
        integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN"
        src="https://code.jquery.com/jquery-3.2.1.slim.min.js"></script>
<script crossorigin="anonymous"
        integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q"
        src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js"></script>
<script crossorigin="anonymous"
        integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl"
        src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js"></script>
<script
    referrerpolicy="origin"
    src="https://cdn.tiny.cloud/1/e2wedt2tvkp3ua3z06h11jkaw8beqirx03trciocxlnsjsmh/tinymce/5/tinymce.min.js"></script>
<script src="https://code.jquery.com/jquery-3.5.1.slim.min.js"></script>
<script src="//cdn.jsdelivr.net/npm/sweetalert2@11"></script>
<script>
  function showTime() {
    var date = new Date();
    var h = date.getHours(); // 0 - 23
    var m = date.getMinutes(); // 0 - 59
    var s = date.getSeconds(); // 0 - 59
    var session = "AM";

    if (h == 0) {
      h = 12;
    }

    if (h > 12) {
      h = h - 12;
      session = "PM";
    }

    h = (h < 10) ? "0" + h : h;
    m = (m < 10) ? "0" + m : m;
    s = (s < 10) ? "0" + s : s;

    var time = h + ":" + m + ":" + s + " " + session;
    document.getElementById("MyClockDisplay").innerText = time;
    document.getElementById("MyClockDisplay").textContent = time;

    setTimeout(showTime, 1000);
  }

  showTime();

  tinymce.init({
    selector: '#classSpecial',
    resize: false,
    content_style: 'body { font-family: Roboto,sans-serif; font-size:16px;'
  });

  function isEmpty(string) {
    return string === "";
  }

  function submitForm() {
    if (isEmpty($("#classFullName").val()) || isEmpty($("#className").val()) || isEmpty(
        $("#classHowToLearn").val()) || isEmpty($("#classDateOpening").val()) || isEmpty(
        $("#classTeacherName").val())) {
      event.preventDefault();
      Swal.fire({
        icon: 'error',
        title: 'Oops...',
        html: '<p style="font-family: Roboto, sans-serif">Thông tin bạn nhập không hợp lệ !</p>'
            + '<span style="font-family: Roboto, sans-serif">Xin hãy kiểm tra kĩ lại thông tin bạn nhập</span>',
        showConfirmButton: false,
        showCloseButton: true
      });
    }
  }
</script>
</body>
</html>
